Subject: bug#36416: realpath doesn't preserve '//' in -m mode

From: L A Walsh <[email-masked]>
Date: Fri, 28 Jun 2019 04:11:29 -0700

realpath -m //sysname/rootdir/.
returns "/sysname/rootdir"  This is incorrect, according to POSIX.

and #3-4 have specific meanings in various applications that  in usage.

1) leading double slashes are to be preserved
   My Notes:  in combining paths like pathcat(//, sys, /a) =>
    should get //sys/a
              in combining paths like pathcat(//, /sys, /a) => /sys sys
specifies it wants to be directory, not a system., so at root, '//' refer to
no system, and we just get: '/sys/a'

2) final slash indicates end node is a directory

3) a final . in a source specifies something under the directory name.

~4?)  I don't think /.. at end of a pathname can be safely deleted
and have same meaning as without it, but brain is too tired to detail
right now.